> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok Video Result

> Query current task generation results by jobId



## OpenAPI

````yaml openapi/en/grok.json get /grok/fetch
openapi: 3.1.0
info:
  title: Grok Video DOCS
  version: 1.0.0
  description: Grok Video API provides efficient video analysis and generation capabilities
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/fetch:
    get:
      description: Query current task generation results by jobId
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: Job ID of the generated video
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                    description: 'Task status: pending queue/queued/success/failed'
                  message:
                    type: string
                    description: Response message
                  jobId:
                    type: string
                    description: Task ID
                  data:
                    type: object
                    description: Task result
                    properties:
                      finishTime:
                        type: string
                        description: 'Completion time, format: YYYY-MM-DD HH:mm:ss'
                      prompt:
                        type: string
                        description: Video generation prompt
                      quota:
                        type: string
                        description: Quota consumed
                      hookUrl:
                        type:
                          - string
                          - 'null'
                        description: Callback URL address, null if not provided
                      videoId:
                        type: string
                        description: Generated video ID
                      aspectRatio:
                        type: string
                        description: Video aspect ratio, e.g., 9:16
                      videoLength:
                        type: string
                        description: Video duration (seconds)
                      resolutionName:
                        type: string
                        description: Video resolution, e.g., 720p
                      referImage:
                        type:
                          - string
                          - 'null'
                        description: Reference image URL.
                      videoUrl:
                        type:
                          - string
                          - 'null'
                        description: >-
                          Generated video URL. Validity: see [Storage and
                          Persistence](/grids/en/faq/storage)
                example:
                  status: SUCCESS
                  message: success
                  jobId: c822d894-fba8-4cd7-8b34-5cf54284af61
                  data:
                    videoId: video_b96164dd8bfa43518c858bcf
                    prompt: >-
                      Static camera shot of ants crawling on a stone lantern
                      with flowers and grass gently swaying in the breeze in the
                      background, accompanied by the sound of cicadas
                    aspectRatio: '9:16'
                    videoLength: '30'
                    resolutionName: 720p
                    referImage: >-
                      https://api.nananobanana.cn/api/cos-proxy/default-tenant-001/images/a515af9c-1619-42e8-abc7-97a6792ec524.png
                    videoUrl: >-
                      https://cdn.ttapi.io/other/2026-03-10/56a8bece963a4e8e9a585f41c5d24162.mp4
                    quota: '9'
                    finishTime: '2026-03-10 09:52:59'
                    hookUrl: null
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````